Bug 11007 - Script ctdbd_wrapper contains bashism
Script ctdbd_wrapper contains bashism
Status: RESOLVED FIXED
Product: CTDB 2.5.x or older
Classification: Unclassified
Component: ctdb
2.5.4
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-14 19:17 UTC by Led
Modified: 2015-04-20 19:37 UTC (History)
2 users (show)

See Also:


Attachments
Fix bashism in ctdbd_wrapper script (659 bytes, patch)
2014-12-14 19:17 UTC, Led
no flags Details
patches-for-4.2 (915 bytes, patch)
2015-04-09 05:10 UTC, Martin Schwenke
amitay: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Led 2014-12-14 19:17:52 UTC
Created attachment 10535 [details]
Fix bashism in ctdbd_wrapper script

Script ctdbd_wrapper contains bashism (see attached patch).
Comment 1 Martin Schwenke 2014-12-22 03:49:56 UTC
I've "forward ported" to master (i.e. run the patch through a script).  After this goes upstream we'll "backport" to 2.5 so we can reference the commit from master.
Comment 2 Martin Schwenke 2015-01-09 08:23:22 UTC
This is now upstream in samba/master as commit
2c3672f4249a7d3453b7e82ca96b4cd666aae709

It is in my queue of backports for the 2.5 branch.

I don't think we want to hold up Samba 4.2 by listing this as a
release blocker.  Distros can carry the patch from master until this
is fix in a Samba release.

Does that resolution sound OK?  Are you OK with me closing this or
would you prefer to see 2.5.5 containing this patch released first?
Comment 3 Martin Schwenke 2015-04-09 05:09:17 UTC
Comment on attachment 10535 [details]
Fix bashism in ctdbd_wrapper script

Marking original patch obsolete to avoid confusion.  About to attach patch for 4.2.1.
Comment 4 Martin Schwenke 2015-04-09 05:10:34 UTC
Created attachment 10936 [details]
patches-for-4.2
Comment 5 Amitay Isaacs 2015-04-09 12:16:35 UTC
Hi Karolin,

Fixes for 4.2.1.
Comment 6 Karolin Seeger 2015-04-09 19:15:57 UTC
(In reply to Amitay Isaacs from comment #5)

Hi Amitay,

the release branch for 4.2.1 has been frozen yesterday. Does 4.2.2 work for you? 

Karolin
Comment 7 Karolin Seeger 2015-04-19 19:16:18 UTC
Pushed to autobuild-v4-2-test.
Comment 8 Karolin Seeger 2015-04-20 19:37:05 UTC
(In reply to Karolin Seeger from comment #7)
Pushed to v4-2-test.
Closing out bug report.

Thanks!